---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ingress-dns-lb-operator
spec:
  replicas: 1
  selector:
    matchLabels:
      name: ingress-dns-lb-operator
  template:
    metadata:
      labels:
        name: ingress-dns-lb-operator
    spec:
      serviceAccountName: ingress-dns-lb-operator
      containers:
        - name: ingress-dns-lb-operator
          # Replace this with the built image name
          image: "REPLACE_IMAGE"
          imagePullPolicy: "Always"
          volumeMounts:
          - mountPath: /tmp/ansible-operator/runner
            name: runner
          env:
            - name: WATCH_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: "ingress-dns-lb-operator"
            - name: ANSIBLE_GATHERING
              value: explicit
      volumes:
        - name: runner
          emptyDir: {}
